# $Revision: 1.21 $, $Date: 2002/09/07 14:03:55 $
%define		_beta		beta1
Summary:	KDE Enhanced Visual IRC Client
Summary(es):	KVirc - Cliente IRC
Summary(pl):	Wizualny Klient IRC dla KDE
Summary(pt_BR):	KVirc - Cliente IRC
Name:		kvirc
Version:	3.0.0
Release:	beta1.1
License:	GPL
Group:		X11/Applications
Vendor:		Szymon Stefanek <kvirc@tin.it>
Source0:	ftp://ftp.kvirc.net/kvirc/%{version}-%{_beta}/source/%{name}-%{version}-%{_beta}.tar.bz2
URL:		http://www.kvirc.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	kdelibs-devel >= 3.0.3
BuildRequires:	libjpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
KVIrc is an enchanced visual irc client. Features:
 - MDI interface
 - CTCP's
 - DCC CHAT SEND/GET
 - Individual queries
 - Scripting
 - Aliases
 - Events (remote)
 - Complete color,background and behavior configuration
 - IPv6 support

%description -l es
KVirc es un poderoso cliente de IRC en sistema UNIX com X-Window,
embasado en QT.

%description -l pl
KVIrc jest rozszerzonym, wizualnym klientem irc. Jego moliwoci i
zalety to:
 - interfejs MDI
 - CTCP
 - DCC CHAT SEND/GET
 - indywidualne zapytania
 - skrypty
 - aliasy
 - zdarzenia
 - kompletne wsparcie dla kolorw
 - obsuga IPv6

%description -l pt_BR
KVirc  um poderoso cliente livre de IRC para sistemas UNIX com
X-Window, baseado no excelente toolkit grfico QT.

%prep
%setup -q -n %{name}-%{version}-%{_beta}

%build
kde_htmldir="%{_htmldir}"; export kde_htmldir
kde_icondir="%{_pixmapsdir}"; export kde_icondir
#charmapsdir="%{_datadir}/kvirc/charmaps"; export charmapsdir

%configure \
	--with-pipes \
	--with-ipv6-support \
%ifarch %{ix86}
	--with-i386-asm \
%endif
	--with-charset-translation
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Network/Communications,%{_datadir}/mimelnk/application}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

mv -f $RPM_BUILD_ROOT%{_datadir}/kvirc/%{version}-%{_beta}/applnk/kvirc.desktop \
	$RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/

mv -f $RPM_BUILD_ROOT%{_datadir}/kvirc/%{version}-%{_beta}/mimelnk/x-kvs.desktop \
	$RPM_BUILD_ROOT%{_datadir}/mimelnk/application/

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO doc/scriptexamples/{*.kvs,*/*.kvs,*/*.png}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/*
%attr(755,root,root) %{_datadir}/kvirc/%{version}-%{_beta}/modules/*.so
%attr(755,root,root) %{_datadir}/kvirc/%{version}-%{_beta}/modules/*.la
%attr(755,root,root) %{_datadir}/kvirc/%{version}-%{_beta}/modules/caps/crypt/*
%{_datadir}/kvirc/%{version}-%{_beta}/config/*.kvc
%{_datadir}/kvirc/%{version}-%{_beta}/config/modules/*.kvc
%{_datadir}/kvirc/%{version}-%{_beta}/defscript/*.kvs
%{_datadir}/kvirc/%{version}-%{_beta}/help/*/*.html
%{_datadir}/kvirc/%{version}-%{_beta}/help/*/*.png
%{_datadir}/kvirc/%{version}-%{_beta}/icons/*/*.png
#%{_datadir}/kvirc/%{version}-%{_beta}/license
%{_datadir}/kvirc/%{version}-%{_beta}/locale/*.mo
%{_datadir}/kvirc/%{version}-%{_beta}/pics/*.png
%{_datadir}/kvirc/%{version}-%{_beta}/protocols/*.protocol
%{_applnkdir}/Network/Communications/*.desktop
%{_datadir}/mimelnk/application/*.desktop
%dir %{_datadir}/kvirc/%{version}-%{_beta}/protocols
%dir %{_datadir}/kvirc/%{version}-%{_beta}/modules
%dir %{_datadir}/kvirc/%{version}-%{_beta}/modules/caps/crypt
%dir %{_datadir}/kvirc/%{version}-%{_beta}/config/modules
%dir %{_datadir}/kvirc/%{version}-%{_beta}/config
%dir %{_datadir}/kvirc/%{version}-%{_beta}/defscript
%dir %{_datadir}/kvirc/%{version}-%{_beta}/help
%dir %{_datadir}/kvirc/%{version}-%{_beta}/icons/
%dir %{_datadir}/kvirc/%{version}-%{_beta}/locale
%dir %{_datadir}/kvirc/%{version}-%{_beta}/pics
%dir %{_datadir}/kvirc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kvirc.spec,v $
Revision 1.21  2002/09/07 14:03:55  kloczek
- remove redundant BuildRequires rules,
- merge translations from Conectiva,
- adapterize spec file.

Revision 1.20  2002/08/31 15:59:07  blues
- merge with DEVEL - STBR

Revision 1.19.2.3  2002/08/31 15:21:03  blues
- release 1 - STBR

Revision 1.19.2.2  2002/07/31 01:21:10  blues
- updated to 3.0.0-beta1

Revision 1.19.2.1  2002/06/19 12:42:59  pascalek
- Updated to 3.0.0-xmas
- Release 0.1

Revision 1.19  2002/05/21 23:13:41  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/02/22 23:29:09  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:13:35  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/12/06 09:05:32  qboosh
- fixed Group (X11/Applications), spelling, added %%{_datadir}/kvirc dir; release 3

Revision 1.15  2001/10/01 21:58:21  qboosh
- BuildRequires: automake

Revision 1.14  2001/10/01 18:46:12  blues
- release 2
- ac2.5 ready

Revision 1.13  2001/06/14 13:16:11  waszi
- Network/IRC -> Network/Communications

Revision 1.12  2001/06/14 13:05:03  waszi
- moved desktop file to %{_applnkdir}/Network/IRC

Revision 1.11  2001/01/31 21:24:18  misiek
2.1.0. more configure options. stb

Revision 1.10  2000/12/27 11:08:42  pascalek
- Updated to 2.0.0

Revision 1.9  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:18  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/04/01 11:14:51  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.6  2000/03/28 16:54:40  baggins
- translated kloczkish into english

Revision 1.5  1999/11/09 07:29:47  kura
- changed Group to X11/KDE/Applications

Revision 1.4  1999/07/20 12:48:08  wiget
- switch to rpm 3.0.2

Revision 1.3  1999/07/12 23:06:05  kloczek
- added using CVS keywords in %changelog (for automating them).

Based on spec written by Troy Engel <tengel@sonic.net>.
